apiVersion: v1
kind: Template
labels:
  app: ara
  template: ara-secret
metadata:
  annotations:
    description: ARA - Secrets
    iconClass: icon-openshift
    openshift.io/display-name: Ansible Runtime Analysis
    tags: ara
  name: ara-secret
objects:
- apiVersion: v1
  kind: Secret
  metadata:
    annotations:
      template.openshift.io/expose-database_name: "{.data['database-name']}"
      template.openshift.io/expose-django_secret: "{.data['django-secret']}"
      template.openshift.io/expose-password: "{.data['database-password']}"
      template.openshift.io/expose-username: "{.data['database-user']}"
    name: ara-${FRONTNAME}
  stringData:
    database-name: "${ARA_POSTGRES_DATABASE}"
    database-password: "${ARA_POSTGRES_PASS}"
    database-user: "${ARA_POSTGRES_USER}"
    django-secret: "${ARA_DJANGO_SECRET}"
parameters:
- name: FRONTNAME
  description: The name identifier assigned to objects defined in this template
  displayName: Name
  required: true
  value: demo
- name: ARA_DJANGO_SECRET
  from: '[a-zA-Z0-9]{50}'
  generate: expression
  required: true
- name: ARA_POSTGRES_DATABASE
  description: ARA Postgres database name
  displayName: ARA Postgres Database
  required: true
  value: ara
- name: ARA_POSTGRES_PASS
  description: ARA Postgres service account password
  displayName: ARA Postgres Password
  from: '[a-zA-Z0-9]{40}'
  generate: expression
  required: true
- name: ARA_POSTGRES_USER
  description: ARA Postgres service account username
  displayName: ARA Postgres Username
  required: true
  value: sw33t
